%bcond_with java

Summary:        Library for Blu-Ray Discs playback for media players
Name:           libbluray
Version:        1.3.4
Release:        5%{?dist}
License:        LGPLv2+
URL:            https://www.videolan.org/developers/libbluray.html
Source0:        https://download.videolan.org/pub/videolan/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch3000:      libbluray-0.8.0-no_doxygen_timestamp.patch

BuildRequires:  make autoconf automake libtool doxygen
BuildRequires:  fontconfig-devel freetype-devel libxml2-devel
BuildRequires:  libudfread-devel graphviz
%if %{with java}
BuildRequires:  ant jpackage-utils
BuildRequires:  java-devel >= 1.8.0
%endif

%description
Libbluray is an open-source library designed for Blu-Ray Discs playback for media players,
like VLC or MPlayer.
The library integrates navigation, playlist parsing, menus and BD-J.
And it is DRM-circumvention free, and thus, safe to integrate in your software.


%if %{with java}
%package        bdj
Summary:        BDJ support for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       java-headless >= 1.8.0
Requires:       jpackage-utils

%description    bdj
The package contains the jar file needed to add BD-J support to %{name}.
BD-J support is still considered alpha.
%endif


%package        utils
Summary:        Test utilities for %{name}
Requires:       %{name} = %{version}-%{release}

%description    utils
The package contains test utilities for %{name}.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The package contains libraries and header files for developing with %{name}.


%prep
%autosetup -p1


%build
%if %{with java}
export JDK_HOME="%{_jvmdir}/java"
%endif


autoreconf -vif
%configure --disable-static \
%if ! %{with java}
           --disable-bdjava-jar \
%endif
           --disable-doxygen-pdf \
           --disable-doxygen-ps \
           --enable-doxygen-html \
           --enable-examples

%make_build
make doxygen-doc
rm -f doc/doxygen/html/installdox 


%install
%make_install
find %{buildroot} -name '*.la' -delete


%files
%license COPYING
%doc ChangeLog README.md
%{_libdir}/*.so.2*


%if %{with java}
%files bdj
%{_javadir}/libbluray-j2se-%{version}.jar
%{_javadir}/libbluray-awt-j2se-%{version}.jar
%endif


%files utils
%{_bindir}/*


%files devel
%doc doc/doxygen/html
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*


%changelog
* Tue Jun 10 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.3.4-5
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.4-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.4-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 rockerzhu <rockerzhu@tencent.com> - 1.3.4-1
- Initial build
